ippfind(1)

NAME
ippfind - Internet-Printing-Protocol-Drucker finden

SYNOPSIS
ippfind [ Optionen ] Regtyp[,Untertyp][.Domain.] … [ Ausdruck … ]
ippfind [ Optionen ] Name[.Regtyp[.Domain.]] … [ Ausdruck … ]
ippfind --help
ippfind --version

BESCHREIBUNG
ippfind findet Dienste, die bei einem DNS-Server registriert oder über lokale Geräte verfügbar sind. Sein Hauptzweck ist das Auffinden von IPP-Druckern und Anzeigen ihrer URIs, der Anzeige ihres aktuellen Status oder dem Ausführen von Befehlen.

  REGISTRIERUNGSTYPEN
ippfind unterstützt die folgenden Registrierungstypen:

_http._tcp
    HyperText Transport Protocol (HTTP, RFC 2616)

_https._tcp
    Secure HyperText Transport Protocol (HTTPS, RFC 2818)

_ipp._tcp
    Internet Printing Protocol (IPP, RFC 2911)

_ipps._tcp
    Secure Internet Printing Protocol (IPPS, draft)

_printer._tcp
    Line Printer Daemon (LPD, RFC 1179)

  AUSDRÜCKE
ippfind unterstützt ähnlich wie das Hilfswerkzeug find(1) reguläre Ausdrücke. Anders als find(1) verwendet ippfind allerdings POSIX-reguläre-Ausdrücke statt die Dateinamen-Platzhalter-Muster der Shell. Falls --exec, -l, --ls, -p, --print, --print-name, -q, --quiet, -s oder -x nicht angegeben ist wird ippfind --print hinzufügen, um die Dienste-URIs aller Treffer auszugeben. Die folgenden Ausdrücke werden unterstützt:

-d RegAus

--domain RegAus
    Wahr, falls die Domain auf den übergebenen regulären Ausdruck passt.

--false
    Immer unwahr.

-h RegAus

--host RegAus
    Wahr, falls der Rechnername auf den übergebenen regulären Ausdruck passt.

-l

--ls
    Listet Attribute auf, die von Get-Printer-Attributes für IPP-Drucker und von traditionellen »find "-ls"«-Ausgaben für HTTP-URLs zurückgeliefert werden. Das Ergebnis ist wahr, falls auf die URI zugegriffen werden kann, andernfalls unwahr.

--local
    Wahr, falls der Dienst an diesem Computer lokal ist.

-N Name

--literal-name Name
    Wahr, falls der Name der Instanz des Dienstes auf den angegebenen Namenpasst.

-n RegAus

--name RegAus
    Wahr, falls die Instanz des Dienstes auf den angegebenen regulären Ausdruck passt.

--path RegAus
    Wahr, falls der URI-Ressourcenpfad auf den angegebenen regulären Ausdruck passt.

-P Nummer[-Nummer]

--port Nummer[-Nummer]
    Wahr, falls der Port auf die angegebene Nummer oder den Bereich passt.

-p

--print
    Gibt die URI aus, falls das Ergebnis der vorherigen Ausdrücke wahr ist. Das Ergebnis ist immer wahr.

-q

--quiet
    Stiller Modus - liefert nur die unten aufgeführten Exit-Codes zurück.

-r

--remote
    Wahr, falls der Dienst nicht lokal am Computer ist.

-s

--print-name
    Gibt den Namen der Diensteinstanz aus, falls das Ergebnis des vorherigen Ausdrucks wahr ist. Das Ergebnis ist immer wahr.

--true
    Immer wahr.

-t Schlüssel

--txt Schlüssel
    Wahr, falls der TXT-Datensatz den benannten Schlüssel enthält.

--txt-key RegAus
    Wahr, falls der TXT-Datensatz den benannten Schlüssel enthält und auf den angegebenen regulären Ausdruck passt.

-u RegAus

--uri RegAus
    Wahr, falls die URI auf den angegebenen regulären Ausdruck passt.

-x Hilfsprogramm [ Argument … ] ;

--exec Hilfsprogramm [ Argument … ] ;
    Führt das angegebene Programm aus, falls das aktuelle Ergebnis wahr ist. »{foo}«-Argumente werden durch den entsprechenden Wert ersetzt -- siehe ERSETZUNGEN weiter unten.

Ausdrücke können auch Modifikatoren enthalten:

( Ausdruck )
    Gruppiert die Ergebnisse von Ausdrücken.

! Ausdruck

--not Ausdruck
    Unäres NICHT des Ausdrucks.

Ausdruck Ausdruck

Ausdruck --and Ausdruck
    Logisches UND von Ausdrücken.

Ausdruck --or Ausdruck
    Logisches ODER von Ausdrücken.

  ERSETZUNGEN
Die Ersetzungen für »{foo}« in -e und --exec sind:

{service_domain}
    Domain-Name, z.B. »example.com.«, »local.«, usw.

{service_hostname}
    Vollqualifizierter Domain-Name, z.B. »printer.example.com.«, »printer.local.«, usw.

{service_name}
    Dienste-Instanzenname, z.B. »Mein Guter Drucker«.

{service_port}
    Port-Nummer für Server, typischerweise 631 für IPP und 80 für HTTP.

{service_regtype}
    DNS-SD-Registrierungstyp, z.B. »_ipp._tcp«, »_http._tcp« usw.

{service_scheme}
    URI-Schema für DNS-SD-Registrationstypen, z.B: »ipp«, »http« usw.

{}

{service_uri}
    URI für Dienste, z.B. »ipp://printer.local./ipp/print«, »http://printer.local./« usw.

{txt_Schlüssel}
    Wert des TXT-Datensatz-Schlüssels (klein geschrieben)

OPTIONEN
ippfind unterstützt die folgenden Optionen:

--help
    Zeigt die Programmhilfe.

--version
    Zeigt die Programmversion.

-4  IPv4 beim Warten auf Anfragen verwenden.

-6  IPv6 beim Warten auf Anfragen verwenden.

-T Sekunden
    Legt die Zeitüberschreitung beim Suchen fest (in Sekunden). Falls 1 oder weniger wird ippfind aufhören, sobald es glaubt, alles gefunden zu haben. Die Vorgabezeitüberschreitung ist eine Sekunde.

-V Version
    Legt die IPP-Version beim Warten auf Anfragen fest. Unterstützte Werte sind »1.1«, »2.0«, »2.1« und »2.2«.

EXIT-STATUS
ippfind liefert 0 zurück, falls das Ergebnis für alle verarbeiteten Ausdrücke wahr ist, 1, falls das Ergebnis irgendeines Ausdruckes falsch ist, 2, falls das Browsen oder irgendeine Abfrage oder Auflösung fehlschlug, 3, falls eine nicht definierte Option oder ein ungültiger Ausdruck angegeben wurde oder 4, falls nicht genug Speicher vorhanden war.

UMGEBUNG
Beim Ausführen eines Programms setzt ippfind die folgenden Umgebungsvariablen für die passende Diensteregistrierung:

IPPFIND_SERVICE_DOMAIN
    Domain-Name, z.B. »example.com.«, »local.«, usw.

IPPFIND_SERVICE_HOSTNAME
    Vollqualifizierter Domain-Name, z.B. »printer.example.com.«, »printer.local.«, usw.

IPPFIND_SERVICE_NAME
    Dienste-Instanzenname, z.B. »Mein Guter Drucker«.

IPPFIND_SERVICE_PORT
    Port-Nummer für Server, typischerweise 631 für IPP und 80 für HTTP.

IPPFIND_SERVICE_REGTYPE
    DNS-SD-Registrierungstyp, z.B. »_ipp._tcp«, »_http._tcp« usw.

IPPFIND_SERVICE_SCHEME
    URI-Schema für DNS-SD-Registrationstypen, z.B: »ipp«, »http« usw.

IPPFIND_SERVICE_URI
    URI für Dienste, z.B. »ipp://printer.local./ipp/print«, »http://printer.local./« usw.

IPPFIND_TXT_SCHLÜSSEL
    Wert des TXT-Datensatz-SCHLÜSSELs (groß geschrieben)

BEISPIELE
Um den Status aller registrierten IPP-Drucker in Ihrem Netz anzuzeigen, führen Sie folgendes aus:

    ippfind --ls

Um eine PostScript-Testseite an jeden PostScript-Drucker zu senden, führen Sie aus:

    ippfind --txt-pdl application/postscript --exec ipptool
      -f onepage-letter.ps '{}' print-job.test \;

SIEHE AUCH
ipptool(1)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.